var
   s:string;
   i:integer;
   c:char;
begin
   writeln(975);
   for i:=1 to 19 do begin
      for c:='a' to 'y' do begin
         s:='zzzzzzzzzzzzzzzzzzz';
         s[i]:=c;
         writeln(s);
         s:='zzzzzzzzzzzzzzzzzzzz';
         s[i]:=c;
         writeln(s);
      end;
   end;
   for c:='a' to 'y' do begin
      s:='zzzzzzzzzzzzzzzzzzzz';
      s[20]:=c;
      writeln(s);
   end;
   writeln(300);
   for i:=1 to 300 do
      writeln('zzzzzzzzzzzzzzzzzzz zzzzzzzzzzzzzzzzzzz zzzzzzzzzzzzzzzzzzz zzzzzzzzzzzzzzzzzzz');
end.